
Redmine - Patch #27025

Regex support for excluded mail attachments

2017-09-18 19:43 - Jan from Planio www.plan.io

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Now that we have regex support for mail body delimiters, it makes sense to allow regex parsing for excluded attachment filenames

as well.

The common case are email signatures including images. In many cases, the filenames include something like footer or signature, so

regexes like the following proved to be quite useful for us at Planio:

smime.p7s,.+\.vcf,.*(footer|signature).*\.(gif|jpg|jpeg|png)

 The attached patch series implements this feature.

Related issues:

Blocks Redmine - Patch #28279: Change German translation for not_a_regexp and... Closed

Associated revisions

Revision 17225 - 2018-03-03 05:29 - Go MAEDA

Optional regex for filtering attachments on incoming emails (#27025).

Patch by Jan Schulz-Hofen.

Revision 17226 - 2018-03-03 05:32 - Go MAEDA

Fix indent (#27025).

Patch by Jan Schulz-Hofen.

Revision 17227 - 2018-03-03 05:43 - Go MAEDA

Rename :setting_mail_handler_enable_regex_delimiters i18n string to :setting_mail_handler_enable_regex (#27025).

Patch by Jan Schulz-Hofen.

History

#1 - 2017-09-19 06:50 - Marius BĂLTEANU

Very useful feature.

#2 - 2017-10-10 05:56 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 4.1.0

LGTM.

#3 - 2018-03-03 04:33 - Go MAEDA

- Blocks Patch #28279: Change German translation for not_a_regexp and setting_mail_handler_enable_regex added

#4 - 2018-03-03 04:52 - Go MAEDA

The series of patches make "Incoming emails" settings page more consistent.

#5 - 2018-03-03 05:48 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA
- Target version changed from 4.1.0 to 4.0.0

Committed the patch 0001, 0002 and 0003. I will commit the patch 0004 as another issue (#28279).

Thank you for contributing the patches.

Files

0002-Whitespace-only.patch 2.38 KB 2017-09-18 Jan from Planio www.plan.io

0001-Optional-regex-for-filtering-attachments-on-incoming.patch 6.04 KB 2017-09-18 Jan from Planio www.plan.io

0004-Improve-German-translation-for-mail-handler-regex-se.patch 2.17 KB 2017-09-18 Jan from Planio www.plan.io

0003-Rename-setting_mail_handler_enable_regex_delimiters-.patch 35.3 KB 2017-09-18 Jan from Planio www.plan.io
